import PanelCodeHighlight from '@/components/panel-code-highlight';
import React from 'react';

export default function() {
    return (
        <PanelCodeHighlight
            title="فرم در یک خط"
            className="lg:col-span-2"
        >
            <div className="mb-5">
                <form>
                    <div className="mx-auto flex max-w-[900px] flex-col items-center gap-4 md:flex-row">
                        <input type="email" placeholder="جان اسنو" className="form-input flex-1" />
                        <div className="flex flex-1">
                            <div className="flex items-center justify-center border border-white-light bg-[#eee] px-3 font-semibold ltr:rounded-l-md ltr:border-r-0 rtl:rounded-r-md rtl:border-l-0 dark:border-[#17263c] dark:bg-[#1b2e4b]">
                                @
                            </div>
                            <input type="text" placeholder="نام کاربری" className="form-input ltr:rounded-l-none rtl:rounded-r-none" />
                        </div>
                        <div>
                            <label className="flex items-center">
                                <input type="checkbox" className="form-checkbox" />
                                <span className="text-white-dark">مرا به خاطر بسپار</span>
                            </label>
                        </div>
                        <button type="submit" className="btn btn-primary py-2.5">
                            ارسال
                        </button>
                    </div>
                </form>
            </div>
        </PanelCodeHighlight>
    );
}
